/**
 * 错误对象
 */
export interface IErrorOptions {
    /** 底层错误原因, 方便定位问题 */
    reason?: string;
    /** 原始错误对象  */
    original?: Error;
}
/** 预置的错误对象, 可用该对象抛出自定义错误代码及错误信息 */
export declare class TCBError extends Error {
    readonly code: number | string;
    reason?: string;
    readonly original?: Error;
    constructor(code: number | string, message: string, options?: IErrorOptions);
    /** 获取错误堆栈信息 */
    getStack(): string;
}
/** 常见的错误信息对应描述 */
export declare const COMMON_ERROR_MESSAGE: {
    'UserError.InvalidUser': string;
};
