import { IHttpField, IDataSourceMethod } from '@cloudbase/cals';
/**
 * 将HTTP中的 IHttpField 转换为JSON模版
 */
export declare function convertHttpField2JsonTpl(field?: IHttpField): any;
/**
 * 将 http method 配置中的 header、query、body 中的value 使用 normalizeHttpConfigValues 处理
 *  以方便实际运行时使用
 */
export declare function formatHttpMethodConfig(methodConfig: IDataSourceMethod): import("@cloudbase/cals").ICloudMethod | (import("@cloudbase/cals").IHttpMethod & {
    calleeBody: {
        url: string;
        method: string;
        header?: {
            values: IHttpField;
        } | undefined;
        query?: {
            values: IHttpField;
        } | undefined;
        body?: {
            contentType: "json" | "form" | "xml" | "none";
            values: IHttpField;
        } | undefined;
    } & {
        header: any;
        query: any;
        body: any;
    };
});
