import { IPlatformDataSource } from '@cloudbase/cals';
export interface IInvokeDataSource {
    /**
     * 数据源描述对象
     */
    dataSource: IPlatformDataSource;
    /** 调用的方法名称 */
    methodName: string;
    /** 调用参数, 若有, 应当为 对象 */
    params?: any;
}
/**
 * 调用数据源方法
 * @param cfnParams
 * @returns 调用结果
 */
export declare function invokeDataSource(cfnParams: IInvokeDataSource): Promise<any>;
/**
 * 获取方法配置描述
 */
export declare function getMethodCfg(dsConfig: IPlatformDataSource | undefined, methodName: string): import("@cloudbase/cals").IHttpMethod | import("@cloudbase/cals").ICloudMethod | undefined;
/**
 * 检查数据源自定义方法方法是否有权限
 * @param dataSourceId 数据源ID (非数据源name)
 * @param methodName 方法名
 * @returns boolean
 */
export declare function hasMethodPermission(dataSourceId: string | undefined, methodName: string): Promise<any>;
